import React, { Component } from "react";
import Facade from "../Datafacade/datafacade";
import { NavLink } from 'react-router-dom';
class playersSearch extends Component {
    state = {
        players: [],
        searchBool: true,
    };

    componentDidMount = async () => {
        const players = await Facade.getPlayersBySearchCache(this.props.keyword);
        this.setState({ players });
    };

    componentDidUpdate = async prevProps => {
        if (this.props.keyword !== prevProps.keyword) {
            const players = await Facade.getPlayersBySearchCache(this.props.keyword);
            this.setState({ players });
        }
    }
    render() {
        return (
            <React.Fragment>
                <div className="container mm">
                    <div className="row">
                        {this.state.players.map(e => (
                            <div className="item" key={"item" + e.steamID}>
                                <div className="box_grid" key={"grid" + e.steamID}>
                                    <NavLink to={'/player/' + e.steamID}>
                                        <strong className="col-lg-1 col-centered" /> {e.steamID}<br />
                                        <strong className="col-lg-1 col-centered" />{e.name}<br />
                                        <figure>
                                            <img src={e.Avatar} className="img-fluid" alt={e.Avatar} /> <br />
                                            <div className="read_more">
                                                <span>Check Player</span>
                                            </div>
                                        </figure>
                                        <strong className="col-lg-1 col-centered" />Rank: {e.Rank}<br />
                                        <strong className="col-lg-1 col-centered" />Points: {e.PlayerPoints}<br />
                                        <strong className="col-lg-1 col-centered" />Times: {e.Times}<br />
                                        <div id="test">
                                            {e.UrlBanners.map(banners => (
                                                <img src={banners} alt="" key={banners} />
                                            ))}
                                        </div>
                                    </NavLink>
                                </div>
                            </div>
                        ))}
                    </div>
                </div>
            </React.Fragment>
        );
    }
}

export default playersSearch;